﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.WinForms;

namespace KmlDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            WorldStreetsAndImageryOverlay worldOverlay = new WorldStreetsAndImageryOverlay();
            winformsMap1.Overlays.Add(worldOverlay);

            LayerOverlay layerOverlay = new LayerOverlay();
            KmlFeatureLayer kmlLayer = new KmlFeatureLayer(@"..\..\AppData\Surge.kml");
            KmlFeatureSource.BuildIndexFile(@"..\..\AppData\Surge.kml");
            layerOverlay.Layers.Add(kmlLayer);
            winformsMap1.Overlays.Add(layerOverlay);

            kmlLayer.Open();
            winformsMap1.CurrentExtent = kmlLayer.GetBoundingBox();
            winformsMap1.Refresh();
        }
    }
}
